<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Instansi</title>
</head>
<body>
<div class="main-content" layout:fragment="main">
    <section class="section">
        <div class="section-header">
            <h1>Instansi</h1>
        </div>
        <div class="section-body">
            <div class="row">
                <div class="col-12 grid-margin stretch-card">
                    <div class="card">
                        <div class="card-header">
                            <h4>Form</h4>
                        </div>
                        <div class="card-body">
                            <form class="forms-sample" th:action="@{/masters/instansi/save}" th:object="${instansi}" method="post">
                                <div class="form-group">
                                    <label for="kode">Code</label>
                                    <input type="text" class="form-control" th:field="*{kode}" name="kode" id="kode" placeholder="Code">
                                    <p th:if="${#fields.hasErrors('kode')}" th:errors="*{kode}" class="text-danger"> Code Error</p>
                                </div>
                                <div class="form-group">
                                    <label for="nama">Name</label>
                                    <input type="text" class="form-control" th:field="*{nama}" name="nama" id="nama" placeholder="Name">
                                    <p th:if="${#fields.hasErrors('nama')}" th:errors="*{nama}" class="text-danger"> Name error</p>
                                </div>
                                <div class="form-group">
                                    <label for="keterangan">Description</label>
                                    <textarea class="form-control" th:field="*{keterangan}" name="keterangan"  id="keterangan" rows="4"></textarea>
                                </div>
                                <input type="hidden" name="id" th:field="*{id}">
                                <button type="submit" class="btn btn-primary mr-2">Submit</button>
                                <a class="btn btn-light" th:href="@{/masters/instansi}">Cancel</a>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>



</div>

</body>
</html>